## salt-formula-glance 2016.12.1

=== Makefile ===
DESTDIR=/
SALTENVDIR=/usr/share/salt-formulas/env
RECLASSDIR=/usr/share/salt-formulas/reclass
FORMULANAME=$(shell grep name: metadata.yml|head -1|cut -d : -f 2|grep -Eo '[a-z0-9\-]*')

all:
	@echo "make install - Install into DESTDIR"
	@echo "make test    - Run tests"
	@echo "make clean   - Cleanup after tests run"

install:
	# Formula
	[ -d $(DESTDIR)/$(SALTENVDIR) ] || mkdir -p $(DESTDIR)/$(SALTENVDIR)
	cp -a $(FORMULANAME) $(DESTDIR)/$(SALTENVDIR)/
	[ ! -d _modules ] || cp -a _modules $(DESTDIR)/$(SALTENVDIR)/
	[ ! -d _states ] || cp -a _states $(DESTDIR)/$(SALTENVDIR)/ || true
	# Metadata
	[ -d $(DESTDIR)/$(RECLASSDIR)/service/$(FORMULANAME) ] || mkdir -p $(DESTDIR)/$(RECLASSDIR)/service/$(FORMULANAME)
	cp -a metadata/service/* $(DESTDIR)/$(RECLASSDIR)/service/$(FORMULANAME)

test:
	[ ! -d tests ] || (cd tests; ./run_tests.sh)

clean:
	[ ! -d tests/build ] || rm -rf tests/build
	[ ! -d build ] || rm -rf build

## salt-formula-glance 2016.4.1

=== debian/changelog ===
salt-formula-glance (2016.4.1-3) unstable; urgency=medium

  * Added Debian tests

 -- Ondřej Nový <novy@ondrej.org>  Wed, 08 Jun 2016 21:27:16 +0200

salt-formula-glance (2016.4.1-2) unstable; urgency=medium

  * d/copyright: Added myself to Debian part
  * Added myself as uploader

 -- Ondřej Nový <novy@ondrej.org>  Wed, 11 May 2016 23:44:35 +0200

salt-formula-glance (2016.4.1-1) unstable; urgency=medium

  * Initial release (Closes: #821916)

 -- Filip Pytloun <filip@pytloun.cz>  Wed, 20 Apr 2016 16:04:29 +0200

=== debian/control ===
Source: salt-formula-glance
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Filip Pytloun <filip@pytloun.cz>,
           Ondřej Nový <novy@ondrej.org>,
Section: admin
Priority: extra
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
Build-Depends-Indep: python-all,
                     python-yaml,
                     salt-master,
Standards-Version: 3.9.8
Homepage: https://wiki.openstack.org/wiki/OpenStackSalt
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/salt-formula-glance.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/salt-formula-glance.git

Package: salt-formula-glance
Architecture: all
Depends: reclass,
         salt-master,
         ${misc:Depends},
Description: Salt formula for OpenStack Glance
 Salt is a powerful remote execution manager that can be used to
 administer servers in a fast and efficient way.
 .
 This SaltStack formula manages both installation and configuration of
 OpenStack Glance.

## salt-formula-glance 2016.12.1

=== debian/changelog ===
salt-formula-glance (2016.12.1-1ubuntu1) bionic; urgency=medium

  * Support Python 3 (Closes: #889933)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 15 Feb 2018 00:30:56 +0100

salt-formula-glance (2016.12.1-1) unstable; urgency=medium

  * New upstream release
  * d/{control,copyright}: Use my @debian.org email address
  * Bumped debhelper version to 10

 -- Ondřej Nový <onovy@debian.org>  Sun, 25 Dec 2016 17:05:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: salt-formula-glance
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Filip Pytloun <filip@pytloun.cz>,
-           Ondřej Nový <novy@ondrej.org>,
+           Ondřej Nový <onovy@debian.org>,
 Section: admin
 Priority: extra
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                openstack-pkg-tools,
 Build-Depends-Indep: python-all,
                      python-yaml,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/salt-formula-glance/tags .*/(\d[\d\.]+)\.tar\.gz
